
import mysql from 'mysql2/promise';

// 데이터베이스 연결 설정 함수
export const createDatabaseConnection = (config) => {
  return mysql.createConnection({
    host: config.host,
    user: config.user,
    password: config.password,
    database: config.database,
    port: config.port,
    waitForConnections: true,
    connectionLimit: 10,
    queueLimit: 0
  });
};